/**
 * Promise扩展模块
 * @date 2022-08
 * @author 何华东
 */
/**
 * 同步锁 装饰器
 *
 * ```ts
 * import { Sync } from "refs/nslib";
 *
 * //去掉注释
 * //@Sync()
 * async function test(){
 *   //todo...
 * }
 *
 * ```
 */
export declare function Sync(): MethodDecorator;
/**
 * 延迟
 */
export declare function delay(ms?: number): Promise<void>;
